Bug 108099 - new port in russian/xneur
Summary: new port in russian/xneur
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: sat
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-18 16:20 UTC by admin
Modified: 2007-02-01 01:06 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description admin 2007-01-18 16:20:22 UTC
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#       xneur
#       xneur/pkg-plist
#       xneur/pkg-descr
#       xneur/distinfo
#       xneur/Makefile
#
echo c - xneur
mkdir -p xneur > /dev/null 2>&1
echo x - xneur/pkg-plist
sed 's/^X//' >xneur/pkg-plist << 'END-of-xneur/pkg-plist'
Xbin/xneur
Xetc/xneur/en/dict
Xetc/xneur/en/proto
Xetc/xneur/ru/dict
Xetc/xneur/ru/proto
Xetc/xneur/xneurrc
Xlib/libxnconfig.a
Xlib/libxnconfig.so.3
Xlib/libxnconfig.so
Xlib/libxnconfig.la
X@dirrm etc/xneur/ru
X@dirrm etc/xneur/en
X@dirrm etc/xneur
X
END-of-xneur/pkg-plist
echo x - xneur/pkg-descr
sed 's/^X//' >xneur/pkg-descr << 'END-of-xneur/pkg-descr'
XXNeur - backend for gXNeur - automatic keyboard switcher
X
XWWW: http://www.xneur.ru/
X
X- lissyaraadmin@lissyara.su
END-of-xneur/pkg-descr
echo x - xneur/distinfo
sed 's/^X//' >xneur/distinfo << 'END-of-xneur/distinfo'
XMD5 (XNeur-0.3.tar.bz2) = 3732ef3a8d36064beac250b89a568aad
XSHA256 (XNeur-0.3.tar.bz2) = 6a42c5a8073d72d279756bfc43ec26d574277d4bca61fa0bf7da569a6eaff136
XSIZE (XNeur-0.3.tar.bz2) = 349569
END-of-xneur/distinfo
echo x - xneur/Makefile
sed 's/^X//' >xneur/Makefile << 'END-of-xneur/Makefile'
X# New ports collection makefile for: xneur
X# Date created:         January 17 2007
X# Whom:                 Alex Keda <admin@lissyara.su>
X#
X# $FreeBSD$
X#
X
XPORTNAME=      XNeur
XPORTVERSION=   0.3
XCATEGORIES=    russian
XMASTER_SITES=  http://dists.xneur.ru/release-0.3.0/tgz/
XPKGNAMEPREFIX= ru-
XDISTNAME=      ${PORTNAME}-${PORTVERSION}
X
XMAINTAINER=    admin@lissyara.su
XCOMMENT=       Auto keyboard switcher
X
XGNU_CONFIGURE= yes
XUSE_XLIB=      yes
XUSE_BZIP2=     yes
XUSE_LDCONFIG=  yes
X
X.include <bsd.port.mk>
END-of-xneur/Makefile
exit

Fix: 

-
How-To-Repeat: -
Comment 1 Edwin Groothuis freebsd_committer 2007-01-18 16:20:28 UTC
Class Changed
From-To: update->change-request

Fix category (new ports should be change-requests)
Comment 2 sat freebsd_committer 2007-01-18 18:18:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sat

Take.
Comment 3 admin 2007-01-19 20:41:33 UTC
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#       xneur
#       xneur/Makefile
#       xneur/distinfo
#       xneur/pkg-descr
#       xneur/pkg-plist
#
echo c - xneur
mkdir -p xneur > /dev/null 2>&1
echo x - xneur/Makefile
sed 's/^X//' >xneur/Makefile << 'END-of-xneur/Makefile'
X# New ports collection makefile for:   xneur
X# Date created:                19 January 2007
X# Whom:                        Alex "lissyara" Keda <admin@lissyara.su>
X#
X# $FreeBSD$
X#
X
XPORTNAME=              XNeur
XPORTVERSION=   0.3
XCATEGORIES=            russian
XMASTER_SITES=  http://dists.xneur.ru/release-0.3.0/tgz/ CSME
X
XMAINTAINER=            admin@lissyara.su
XCOMMENT=               Auto keyboard switcher
X
XGNU_CONFIGURE= yes
XCONFIGURE_ARGS=        --disable-static
XUSE_XLIB=              yes
XUSE_BZIP2=             yes
XUSE_LDCONFIG=  yes
X
X
Xpost-patch:
X       @${REINPLACE_CMD} -e '/chmod/s|a\+|u+|' ${WRKSRC}/etc/Makefile.in
X       ${CP} -p ${WRKSRC}/etc/xneurrc ${WRKSRC}/etc/xneurrc.dist
X       @${REINPLACE_CMD} -e 's/xneurrc/xneurrc.dist/g' 
${WRKSRC}/etc/Makefile.am
X       @${REINPLACE_CMD} -e 's/xneurrc/xneurrc.dist/g' 
${WRKSRC}/etc/Makefile.in
X
X#chmod -R a+r+w $(sysconfdir)/xneur
Xpost-install:
X       @[ -f ${PREFIX}/etc/xneur/xneurrc ] || \
X               ${CP} -p ${PREFIX}/etc/xneur/xneurrc.dist \
X               ${PREFIX}/etc/xneur/xneurrc
X
X
X
X
X.include <bsd.port.mk>
END-of-xneur/Makefile
echo x - xneur/distinfo
sed 's/^X//' >xneur/distinfo << 'END-of-xneur/distinfo'
XMD5 (XNeur-0.3.tar.bz2) = 3732ef3a8d36064beac250b89a568aad
XSHA256 (XNeur-0.3.tar.bz2) = 
6a42c5a8073d72d279756bfc43ec26d574277d4bca61fa0bf7da569a6eaff136
XSIZE (XNeur-0.3.tar.bz2) = 349569
END-of-xneur/distinfo
echo x - xneur/pkg-descr
sed 's/^X//' >xneur/pkg-descr << 'END-of-xneur/pkg-descr'
XXNeur - backend for gXNeur - automatic keyboard switcher
X
XWWW: http://www.xneur.ru/
END-of-xneur/pkg-descr
echo x - xneur/pkg-plist
sed 's/^X//' >xneur/pkg-plist << 'END-of-xneur/pkg-plist'
Xbin/xneur
Xetc/xneur/en/dict
Xetc/xneur/en/proto
Xetc/xneur/ru/dict
Xetc/xneur/ru/proto
X@unexec if cmp -s %D/etc/xneur/xneurrc %D/etc/xneur/xneurrc.dist; then 
rm -f %D/etc/xneur/xneurrc; fi
Xetc/xneur/xneurrc.dist
Xlib/libxnconfig.so.3
Xlib/libxnconfig.so
Xlib/libxnconfig.la
X@dirrm etc/xneur/ru
X@dirrm etc/xneur/en
X@dirrmtry etc/xneur
END-of-xneur/pkg-plist
exit
Comment 4 dfilter service freebsd_committer 2007-01-20 09:23:10 UTC
sat         2007-01-20 09:23:05 UTC

  FreeBSD ports repository

  Modified files:
    russian              Makefile 
  Added files:
    russian/xneur        Makefile distinfo pkg-descr pkg-plist 
  Log:
  Add port russian/xneur:
  
  XNeur - backend for gXNeur - automatic keyboard switcher
  
  WWW: http://www.xneur.ru/
  
  PR:             ports/108099
  Submitted by:   Alex "lissyara" Keda <admin@lissyara.su>
  
  Revision  Changes    Path
  1.83      +1 -0      ports/russian/Makefile
  1.1       +31 -0     ports/russian/xneur/Makefile (new)
  1.1       +3 -0      ports/russian/xneur/distinfo (new)
  1.1       +3 -0      ports/russian/xneur/pkg-descr (new)
  1.1       +18 -0     ports/russian/xneur/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 sat freebsd_committer 2007-02-01 01:05:57 UTC
State Changed
From-To: open->closed

Committed 12 days ago. (How do I manage to forget these things?..)